SeExpr

Public Types | Public Member Functions | Private Attributes | List of all members
SeExpr2::CachedVoronoiFunc Class Reference
Inheritance diagram for SeExpr2::CachedVoronoiFunc:

## Public Types
typedef Vec3d | VoronoiFunc(VoronoiPointData &data, int n, const Vec3d *args)

## Public Member Functions
| CachedVoronoiFunc (VoronoiFunc *vfunc)
virtual ExprType | prep (ExprFuncNode *node, bool scalarWanted, ExprVarEnvBuilder &envBuilder) const
virtual ExprFuncNode::Data * | evalConstant (const ExprFuncNode *node, ArgHandle args) const
virtual void | eval (ArgHandle args)
virtual | ~CachedVoronoiFunc ()
Public Member Functions inherited from SeExpr2::ExprFuncSimple
| ExprFuncSimple (const bool threadSafe)
virtual int | buildInterpreter (const ExprFuncNode *node, Interpreter *interpreter) const
| Build an interpreter to evaluate the expression. More...
Public Member Functions inherited from SeExpr2::ExprFuncX
| ExprFuncX (const bool threadSafe)
virtual ExprType | type () const
virtual | ~ExprFuncX ()
bool | isThreadSafe () const
virtual size_t | sizeInBytes () const
| Return memory usage of a funcX in bytes. More...
virtual void | statistics (Statistics &) const
| Give this function a chance to populate its statistics. More...

## Private Attributes
VoronoiFunc * | _vfunc

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ExprFuncX
bool | _isScalar
ExprType | _type

## Detailed Description

Definition at line 1010 of file ExprBuiltins.cpp.

## Member Typedef Documentation

## ◆ VoronoiFunc

typedef Vec3d SeExpr2::CachedVoronoiFunc::VoronoiFunc(VoronoiPointData &data, int n, const Vec3d *args)

Definition at line 1012 of file ExprBuiltins.cpp.

## Constructor & Destructor Documentation

## ◆ CachedVoronoiFunc()

SeExpr2::CachedVoronoiFunc::CachedVoronoiFunc | ( | VoronoiFunc * | vfunc | ) |
| inline

Definition at line 1013 of file ExprBuiltins.cpp.

## ◆ ~CachedVoronoiFunc()

virtual SeExpr2::CachedVoronoiFunc::~CachedVoronoiFunc | ( |  | ) |
| inline virtual

Definition at line 1046 of file ExprBuiltins.cpp.

## Member Function Documentation

## ◆ eval()

virtual void SeExpr2::CachedVoronoiFunc::eval | ( | ArgHandle | args | ) |
| inline virtual

Implements SeExpr2::ExprFuncSimple.

Definition at line 1033 of file ExprBuiltins.cpp.

References SeExpr2::ExprFuncSimple::ArgHandle::data, SeExpr2::ExprFuncSimple::ArgHandle::inFp(), and SeExpr2::ExprFuncSimple::ArgHandle::nargs().

## ◆ evalConstant()

virtual ExprFuncNode::Data* SeExpr2::CachedVoronoiFunc::evalConstant | ( | const ExprFuncNode * | node,
|  | ArgHandle | args
| ) |  | const
| inline virtual

Implements SeExpr2::ExprFuncSimple.

Definition at line 1029 of file ExprBuiltins.cpp.

## ◆ prep()

virtual ExprType SeExpr2::CachedVoronoiFunc::prep | ( | ExprFuncNode * | node,
|  | bool | scalarWanted,
|  | ExprVarEnvBuilder & | env
| ) |  | const
| inline virtual

prep the expression by doing all type checking argument checking, etc.

Implements SeExpr2::ExprFuncSimple.

Definition at line 1015 of file ExprBuiltins.cpp.

References SeExpr2::ExprNode::addError(), SeExpr2::ExprType::Error(), and SeExpr2::ExprNode::numChildren().

## Member Data Documentation

## ◆ _vfunc

VoronoiFunc* SeExpr2::CachedVoronoiFunc::_vfunc
| private

Definition at line 1049 of file ExprBuiltins.cpp.

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprBuiltins.cpp